<template>
  <BlogListArticles :current="page" :total="total" :articles="articles" />
</template>

<script lang="ts">
import Vue from 'vue'
import { ArticleService } from '~/services/article.service'
import { IArticle } from '~/models/IArticle'
import BlogListArticles from '~/components/blog/BlogListArticles.vue'

export default Vue.extend({
  components: {
    BlogListArticles
  },
  async asyncData ({ $content, params }) {
    const service = new ArticleService($content)
    const total = await service.nbPages()
    const page = parseInt(params.page, 10)
    const articles = await service.load(page - 1)

    return {
      articles,
      total,
      page
    }
  },
  data () {
    const articles: IArticle[] = []
    const total: number = 0
    const page: number = 1
    return {
      articles,
      total,
      page
    }
  }
})
</script>
